Subject: Re: bug#44173: 28.0.50; gdb-mi mangles strings with octal escapes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Oct 2020 15:01:52 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Fri, 23 Oct 2020 13:50:24 +0200
> 
> While the bug could be 'solved' by adding yet another regexp hack to gdb-mi-decode or gdb-mi-jsonify-buffer, I suggest we write a GDB/MI parser in Lisp directly, ditching the gdb-mi-decode preprocessing and JSON form entirely, solving this and related bugs once and for all. Many transforms can then be done on the S-expression result after parsing, which should be more efficient and less error-prone.

I'm okay with writing a GDB/MI parser, but I'm not sure I understand
how would that help to solve this particular conundrum.  AFAIR,
there's a genuine ambiguity there regarding non-ASCII characters
reported from GDB.  Could you tell how will this be solved by a
different parser?

P.S. Btw: gdb-mi.el already has a BNF parser for GDB/MI.